Bug 235974 - editors/jucipp: Please update the port because the project has moved to GitLab
Summary: editors/jucipp: Please update the port because the project has moved to GitLab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-23 21:50 UTC by Yuri Victorovich
Modified: 2019-03-04 22:25 UTC (History)
2 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
jucipp 1.4.4_2 to 1.4.6 patch (2.81 KB, patch)
2019-02-25 21:03 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-02-23 21:50:30 UTC
https://gitlab.com/cppit/jucipp/releases

Thanks,
Yuri
Comment 1 Mohammad S. Babaei 2019-02-24 23:47:07 UTC
I will look into it this week and submit an updated port.
Comment 2 Mohammad S. Babaei 2019-02-25 21:03:53 UTC
Created attachment 202368 [details]
jucipp 1.4.4_2 to 1.4.6 patch

There are three complaints from portlint

WARN: Makefile: LIB_DEPENDS don't specify the ABI version number .7 in libclang.so.7 unless it is really necessary.
WARN: Makefile: LIB_DEPENDS the new format is libFOO.so (e.g., liblibclang.so.7.so).
WARN: Makefile: extra item placed in the USES/USE_x section, for example, "GL_ACCOUNT".
0 fatal errors and 3 warnings found.

Ignore the first too that is intentional because if for example llvm50 is installed it won't install llvm70.

The last warning seems bogus to me. I couldn't solve it.
Comment 3 Yuri Victorovich freebsd_committer 2019-03-01 02:56:52 UTC
I fixed the libclang.so dependency problem by reformatting dependency lines, and also used ${LLVM_DEFAULT}.

Thank you for the patch!
Comment 4 commit-hook freebsd_committer 2019-03-01 02:57:26 UTC
A commit references this bug:

Author: yuri
Date: Fri Mar  1 02:56:51 UTC 2019
New revision: 494227
URL: https://svnweb.freebsd.org/changeset/ports/494227

Log:
  editors/jucipp: Update 1.4.4 -> 1.4.6

  The project moved to GutLab.

  PR:		235974
  Submitted by:	Mohammad S. Babaei <info@babaei.net> (maintainer)

Changes:
  head/editors/jucipp/Makefile
  head/editors/jucipp/distinfo
Comment 5 Mohammad S. Babaei 2019-03-04 22:25:13 UTC
Thanks!